hscolour-1.25: Colourise Haskell code.

Safe Haskell | Safe-Inferred
Language | Haskell98

Language.Haskell.HsColour.ACSS

Description

Formats Haskell source code as HTML with CSS and Mouseover Type Annotations

Synopsis

- hscolour :: Bool -> Int -> String -> String
- hsannot :: Bool -> Int -> (String, AnnMap) -> String
- newtype AnnMap = Ann (Map Loc (String, String))
- newtype Loc = L (Int, Int)
- breakS :: String
- srcModuleName :: String -> String

# Documentation

hscolour #

Arguments

:: Bool | Whether to include anchors.
-> Int | Starting line number (for line anchors).
-> String | Haskell source code, Annotations as comments at end
-> String | Coloured Haskell source code.

Formats Haskell source code using HTML and mouse-over annotations

hsannot #

Arguments

:: Bool | Whether to include anchors.
-> Int | Starting line number (for line anchors).
-> (String, AnnMap) | Haskell Source, Annotations
-> String | Coloured Haskell source code.

Formats Haskell source code using HTML and mouse-over annotations

newtype AnnMap #

Constructors

Ann (Map Loc (String, String)) |

#### Instances

Instances details

Show AnnMap # |
Instance details Defined in Language.Haskell.HsColour.ACSS Methods showsPrec :: Int -> AnnMap -> ShowS show :: AnnMap -> String showList :: [AnnMap] -> ShowS

newtype Loc #

Constructors

L (Int, Int) |

#### Instances

Instances details

Show Loc # |
Instance details Defined in Language.Haskell.HsColour.ACSS Methods showsPrec :: Int -> Loc -> ShowS show :: Loc -> String showList :: [Loc] -> ShowS
Eq Loc # |
Instance details Defined in Language.Haskell.HsColour.ACSS Methods (==) :: Loc -> Loc -> Bool (/=) :: Loc -> Loc -> Bool
Ord Loc # |
Instance details Defined in Language.Haskell.HsColour.ACSS Methods compare :: Loc -> Loc -> Ordering (<) :: Loc -> Loc -> Bool (<=) :: Loc -> Loc -> Bool (>) :: Loc -> Loc -> Bool (>=) :: Loc -> Loc -> Bool max :: Loc -> Loc -> Loc min :: Loc -> Loc -> Loc

breakS :: String #

srcModuleName :: String -> String #